<?php
/**
 * Fire Fighter: Block Patterns
 *
 * @since Fire Fighter 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Fire Fighter 1.0
 *
 * @return void
 */
function fire_fighter_register_block_patterns() {
	$fire_fighter_block_pattern_categories = array(
		'fire-fighter'    => array( 'label' => __( 'Fire Fighter', 'fire-fighter' ) ),
	);

	$fire_fighter_block_pattern_categories = apply_filters( 'fire_fighter_block_pattern_categories', $fire_fighter_block_pattern_categories );

	foreach ( $fire_fighter_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fire_fighter_register_block_patterns', 9 );
